<?php

namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Admin\Product\Sections;

use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\AdminArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Fields\Select;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Fields\Switcher;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Fields\Text;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Sections\BoxSection;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Sections\HalfPageSection;

class FirewallSection extends BoxSection implements AdminArea
{
    protected $id = 'firewallSection';
    protected $name = 'firewallSection';
    protected $title = 'firewallSection';
    /**
     * @var HalfPageSection
     */
    private $leftSection;
    /**
     * @var HalfPageSection
     */
    private $rightSection;

    public function initContent()
    {
        $this->leftSection  = new HalfPageSection('leftSection');
        $this->rightSection = new HalfPageSection('rightSection');

        $this->addSection($this->leftSection)
            ->addSection($this->rightSection);
        $this->initFields();
    }

    private function initFields()
    {
        /**
         * @deprecated
        //Interfaces
        $field = new Select('customconfigoption[firewallInterfaces][]');
        $field->setDescription('tip');
        $field->enableMultiple();
        $this->leftSection->addField($field);
         */
        //Firewall Rules Limit
        $field = new Text('customconfigoption[firewallMaxRules]');
        $field->setDefaultValue(10);
        $field->setDescription('tip');
        $this->rightSection->addField($field);
        //IPSet IP Filter
        $field = new Switcher('customconfigoption[ipsetIpFilter]');
        $field->setDescription('tip');
        $this->leftSection->addField($field);
    }

}
